diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/comment-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/comment-template.php	2013-08-28 00:28:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/comment-template.php	2013-09-23 18:29:11.000000000 -0500
***************
*** 1106,1126 ****
  	if ( !comments_open($post->ID) )
  		return false;
  
! 	if ( get_option('comment_registration') && !$user_ID ) {
  		$link = '<a rel="nofollow" href="' . wp_login_url( get_permalink() ) . '">' . $login_text . '</a>';
! 	} else {
  		$link = "<a rel='nofollow' class='comment-reply-link' href='" . get_permalink($post->ID) . "#$respond_id' onclick='return addComment.moveForm(\"$add_below-$post->ID\", \"0\", \"$respond_id\", \"$post->ID\")'>$reply_text</a>";
! 	}
! 	return apply_filters('post_comments_link', $before . $link . $after, $post);
  }
  
  /**
   * Displays the HTML content for reply to post link.
   * @since 2.7.0
-  * @see get_post_reply_link()
   *
!  * @param array $args Optional. Override default options.
!  * @param int|object $post Optional. Post that the comment is going to be displayed on.
   * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function post_reply_link($args = array(), $post = null) {
--- 1328,1357 ----
  	if ( !comments_open($post->ID) )
  		return false;
  
! 	if ( get_option('comment_registration') && ! is_user_logged_in() )
  		$link = '<a rel="nofollow" href="' . wp_login_url( get_permalink() ) . '">' . $login_text . '</a>';
! 	else
  		$link = "<a rel='nofollow' class='comment-reply-link' href='" . get_permalink($post->ID) . "#$respond_id' onclick='return addComment.moveForm(\"$add_below-$post->ID\", \"0\", \"$respond_id\", \"$post->ID\")'>$reply_text</a>";
! 
! 	$formatted_link = $before . $link . $after;
! 	/**
! 	 * Filter the formatted post comments link HTML.
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param string      $formatted The HTML-formatted post comments link.
! 	 * @param int|WP_Post $post      The post ID or WP_Post object.
! 	 */
! 	return apply_filters( 'post_comments_link', $formatted_link, $post );
  }
  
  /**
   * Displays the HTML content for reply to post link.
+  *
   * @since 2.7.0
   *
!  * @param array       $args Optional. Override default options, @see get_post_reply_link()
!  * @param int|WP_Post $post Optional. Post ID or WP_Post object the comment is going to be displayed on. Default current post.
   * @return string|bool|null Link to show comment form, if successful. False, if comments are closed.
   */
  function post_reply_link($args = array(), $post = null) {
***************
*** 1132,1146 ****
   *
   * @since 2.7.0
   *
!  * @param string $text Optional. Text to display for cancel reply link.
   */
! function get_cancel_comment_reply_link($text = '') {
  	if ( empty($text) )
  		$text = __('Click here to cancel reply.');
  
  	$style = isset($_GET['replytocom']) ? '' : ' style="display:none;"';
  	$link = esc_html( remove_query_arg('replytocom') ) . '#respond';
! 	return apply_filters('cancel_comment_reply_link', '<a rel="nofollow" id="cancel-comment-reply-link" href="' . $link . '"' . $style . '>' . $text . '</a>', $link, $text);
  }
  
  /**
--- 1363,1388 ----
   *
   * @since 2.7.0
   *
!  * @param string $text Optional. Text to display for cancel reply link. Default empty.
   */
! function get_cancel_comment_reply_link( $text = '' ) {
  	if ( empty($text) )
  		$text = __('Click here to cancel reply.');
  
  	$style = isset($_GET['replytocom']) ? '' : ' style="display:none;"';
  	$link = esc_html( remove_query_arg('replytocom') ) . '#respond';
! 
! 	$formatted_link = '<a rel="nofollow" id="cancel-comment-reply-link" href="' . $link . '"' . $style . '>' . $text . '</a>';
! 	/**
! 	 * Filter the cancel comment reply link HTML.
! 	 *
! 	 * @since 2.7.0
! 	 *
! 	 * @param string $formatted_link The HTML-formatted cancel comment reply link.
! 	 * @param string $link           The cancel comment reply link URL.
! 	 * @param string $text           The cancel comment reply link text.
! 	 */
! 	return apply_filters( 'cancel_comment_reply_link', $formatted_link, $link, $text );
  }
  
  /**
***************
*** 1148,1156 ****
   *
   * @since 2.7.0
   *
!  * @param string $text Optional. Text to display for cancel reply link.
   */
! function cancel_comment_reply_link($text = '') {
  	echo get_cancel_comment_reply_link($text);
  }
  
--- 1390,1398 ----
   *
   * @since 2.7.0
   *
!  * @param string $text Optional. Text to display for cancel reply link. Default empty.
   */
! function cancel_comment_reply_link( $text = '' ) {
  	echo get_cancel_comment_reply_link($text);
  }
  
***************
*** 1159,1164 ****
--- 1401,1407 ----
   *
   * @since 3.0.0
   *
+  * @param int $id Optional. Post ID. Default current post ID.
   * @return string Hidden input HTML for replying to comments
   */
  function get_comment_id_fields( $id = 0 ) {
***************
*** 1168,1194 ****
  	$replytoid = isset($_GET['replytocom']) ? (int) $_GET['replytocom'] : 0;
  	$result  = "<input type='hidden' name='comment_post_ID' value='$id' id='comment_post_ID' />\n";
  	$result .= "<input type='hidden' name='comment_parent' id='comment_parent' value='$replytoid' />\n";
! 	return apply_filters('comment_id_fields', $result, $id, $replytoid);
  }
  
  /**
   * Output hidden input HTML for replying to comments.
   *
   * @since 2.7.0
!  * @see get_comment_id_fields() Echoes result
   */
  function comment_id_fields( $id = 0 ) {
  	echo get_comment_id_fields( $id );
  }
  
  /**
!  * Display text based on comment reply status. Only affects users with Javascript disabled.
   *
   * @since 2.7.0
   *
!  * @param string $noreplytext Optional. Text to display when not replying to a comment.
!  * @param string $replytext Optional. Text to display when replying to a comment. Accepts "%s" for the author of the comment being replied to.
!  * @param string $linktoparent Optional. Boolean to control making the author's name a link to their comment.
   */
  function comment_form_title( $noreplytext = false, $replytext = false, $linktoparent = true ) {
  	global $comment;
--- 1411,1451 ----
  	$replytoid = isset($_GET['replytocom']) ? (int) $_GET['replytocom'] : 0;
  	$result  = "<input type='hidden' name='comment_post_ID' value='$id' id='comment_post_ID' />\n";
  	$result .= "<input type='hidden' name='comment_parent' id='comment_parent' value='$replytoid' />\n";
! 
! 	/**
! 	 * Filter the returned comment id fields.
! 	 *
! 	 * @since 3.0.0
! 	 *
! 	 * @param string $result    The HTML-formatted hidden id field comment elements.
! 	 * @param int    $id        The post ID.
! 	 * @param int    $replytoid The id of the comment being replied to.
! 	 */
! 	return apply_filters( 'comment_id_fields', $result, $id, $replytoid );
  }
  
  /**
   * Output hidden input HTML for replying to comments.
   *
   * @since 2.7.0
!  *
!  * @param int $id Optional. Post ID. Default current post ID.
   */
  function comment_id_fields( $id = 0 ) {
  	echo get_comment_id_fields( $id );
  }
  
  /**
!  * Display text based on comment reply status.
!  *
!  * Only affects users with Javascript disabled.
   *
   * @since 2.7.0
   *
!  * @param string $noreplytext  Optional. Text to display when not replying to a comment. Default false.
!  * @param string $replytext    Optional. Text to display when replying to a comment.
!  *                             Default false. Accepts "%s" for the author of the comment being replied to.
!  * @param string $linktoparent Optional. Boolean to control making the author's name a link to their comment. Default true.
   */
  function comment_form_title( $noreplytext = false, $replytext = false, $linktoparent = true ) {
  	global $comment;
***************
*** 1216,1236 ****
--- 1473,1502 ----
   */
  class Walker_Comment extends Walker {
  	/**
+ 	 * What the class handles.
+ 	 *
  	 * @see Walker::$tree_type
+ 	 *
  	 * @since 2.7.0
  	 * @var string
  	 */
  	var $tree_type = 'comment';
  
  	/**
+ 	 * DB fields to use.
+ 	 *
  	 * @see Walker::$db_fields
+ 	 *
  	 * @since 2.7.0
  	 * @var array
  	 */
  	var $db_fields = array ('parent' => 'comment_parent', 'id' => 'comment_ID');
  
  	/**
+ 	 * Start the list before the elements are added.
+ 	 *
  	 * @see Walker::start_lvl()
+ 	 *
  	 * @since 2.7.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
***************
*** 1254,1265 ****
  	}
  
  	/**
  	 * @see Walker::end_lvl()
  	 * @since 2.7.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param int $depth Depth of comment.
! 	 * @param array $args Will only append content if style argument value is 'ol' or 'ul'.
  	 */
  	function end_lvl( &$output, $depth = 0, $args = array() ) {
  		$GLOBALS['comment_depth'] = $depth + 1;
--- 1520,1534 ----
  	}
  
  	/**
+ 	 * End the list of items after the elements are added.
+ 	 *
  	 * @see Walker::end_lvl()
+ 	 *
  	 * @since 2.7.0
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param int    $depth  Depth of comment.
! 	 * @param array  $args   Will only append content if style argument value is 'ol' or 'ul'.
  	 */
  	function end_lvl( &$output, $depth = 0, $args = array() ) {
  		$GLOBALS['comment_depth'] = $depth + 1;
***************
*** 1278,1283 ****
--- 1547,1554 ----
  	}
  
  	/**
+ 	 * Traverse elements to create list from elements.
+ 	 *
  	 * This function is designed to enhance Walker::display_element() to
  	 * display children of higher nesting levels than selected inline on
  	 * the highest depth level displayed. This prevents them being orphaned
***************
*** 1294,1299 ****
--- 1565,1581 ----
  	 * 2
  	 *  2.2
  	 *
+ 	 * @see Walker::display_element()
+ 	 *
+ 	 * @since 2.7.0
+ 	 *
+ 	 * @param object $element           Data object.
+ 	 * @param array  $children_elements List of elements to continue traversing.
+ 	 * @param int    $max_depth         Max depth to traverse.
+ 	 * @param int    $depth             Depth of current element.
+ 	 * @param array  $args              An array of arguments. @see wp_list_comments()
+ 	 * @param string $output            Passed by reference. Used to append additional content.
+ 	 * @return null Null on failure with no changes to parameters.
  	 */
  	function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
  
***************
*** 1317,1329 ****
  	}
  
  	/**
  	 * @see Walker::start_el()
  	 * @since 2.7.0
  	 *
! 	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param object $comment Comment data object.
! 	 * @param int $depth Depth of comment in reference to parents.
! 	 * @param array $args
  	 */
  	function start_el( &$output, $comment, $depth = 0, $args = array(), $id = 0 ) {
  		$depth++;
--- 1599,1614 ----
  	}
  
  	/**
+ 	 * Start the element output.
+ 	 *
  	 * @see Walker::start_el()
+ 	 *
  	 * @since 2.7.0
  	 *
! 	 * @param string $output  Passed by reference. Used to append additional content.
  	 * @param object $comment Comment data object.
! 	 * @param int    $depth   Depth of comment in reference to parents.
! 	 * @param array  $args    An array of arguments. @see wp_list_comments()
  	 */
  	function start_el( &$output, $comment, $depth = 0, $args = array(), $id = 0 ) {
  		$depth++;
***************
*** 1345,1357 ****
  	}
  
  	/**
  	 * @see Walker::end_el()
  	 * @since 2.7.0
  	 *
! 	 * @param string $output Passed by reference. Used to append additional content.
! 	 * @param object $comment
! 	 * @param int $depth Depth of comment.
! 	 * @param array $args
  	 */
  	function end_el( &$output, $comment, $depth = 0, $args = array() ) {
  		if ( !empty( $args['end-callback'] ) ) {
--- 1630,1645 ----
  	}
  
  	/**
+ 	 * Ends the element output, if needed.
+ 	 *
  	 * @see Walker::end_el()
+ 	 *
  	 * @since 2.7.0
  	 *
! 	 * @param string $output  Passed by reference. Used to append additional content.
! 	 * @param object $comment The comment object. Default current comment.
! 	 * @param int    $depth   Depth of comment.
! 	 * @param array  $args    An array of arguments. @see wp_list_comments()
  	 */
  	function end_el( &$output, $comment, $depth = 0, $args = array() ) {
  		if ( !empty( $args['end-callback'] ) ) {
***************
*** 1365,1376 ****
  	}
  
  	/**
! 	 * @since 3.6
  	 * @access protected
  	 *
! 	 * @param object $comment
! 	 * @param int $depth Depth of comment.
! 	 * @param array $args
  	 */
  	protected function ping( $comment, $depth, $args ) {
  		$tag = ( 'div' == $args['style'] ) ? 'div' : 'li';
--- 1653,1666 ----
  	}
  
  	/**
! 	 * Output a pingback comment.
! 	 *
  	 * @access protected
+ 	 * @since 3.6.0
  	 *
! 	 * @param object $comment The comment object.
! 	 * @param int    $depth   Depth of comment.
! 	 * @param array  $args    An array of arguments. @see wp_list_comments()
  	 */
  	protected function ping( $comment, $depth, $args ) {
  		$tag = ( 'div' == $args['style'] ) ? 'div' : 'li';
***************
*** 1383,1394 ****
  	}
  
  	/**
! 	 * @since 3.6
  	 * @access protected
  	 *
  	 * @param object $comment Comment to display.
! 	 * @param int $depth Depth of comment.
! 	 * @param array $args Optional args.
  	 */
  	protected function comment( $comment, $depth, $args ) {
  		if ( 'div' == $args['style'] ) {
--- 1673,1686 ----
  	}
  
  	/**
! 	 * Output a single comment.
! 	 *
  	 * @access protected
+ 	 * @since 3.6.0
  	 *
  	 * @param object $comment Comment to display.
! 	 * @param int    $depth   Depth of comment.
! 	 * @param array  $args    An array of arguments. @see wp_list_comments()
  	 */
  	protected function comment( $comment, $depth, $args ) {
  		if ( 'div' == $args['style'] ) {
***************
*** 1419,1425 ****
  			?>
  		</div>
  
! 		<?php comment_text() ?>
  
  		<div class="reply">
  			<?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
--- 1711,1717 ----
  			?>
  		</div>
  
! 		<?php comment_text( get_comment_id(), array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
  
  		<div class="reply">
  			<?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
***************
*** 1431,1442 ****
  	}
  
  	/**
! 	 * @since 3.6
  	 * @access protected
  	 *
  	 * @param object $comment Comment to display.
! 	 * @param int $depth Depth of comment.
! 	 * @param array $args Optional args.
  	 */
  	protected function html5_comment( $comment, $depth, $args ) {
  		$tag = ( 'div' === $args['style'] ) ? 'div' : 'li';
--- 1723,1736 ----
  	}
  
  	/**
! 	 * Output a comment in the HTML5 format.
! 	 *
  	 * @access protected
+ 	 * @since 3.6.0
  	 *
  	 * @param object $comment Comment to display.
! 	 * @param int    $depth   Depth of comment.
! 	 * @param array  $args    An array of arguments. @see wp_list_comments()
  	 */
  	protected function html5_comment( $comment, $depth, $args ) {
  		$tag = ( 'div' === $args['style'] ) ? 'div' : 'li';
***************
*** 1476,1492 ****
  }
  
  /**
!  * List comments
   *
!  * Used in the comments.php template to list comments for a particular post
   *
   * @since 2.7.0
-  * @uses Walker_Comment
   *
!  * @param string|array $args Formatting options
!  * @param array $comments Optional array of comment objects. Defaults to $wp_query->comments
   */
! function wp_list_comments($args = array(), $comments = null ) {
  	global $wp_query, $comment_alt, $comment_depth, $comment_thread_alt, $overridden_cpage, $in_comment_loop;
  
  	$in_comment_loop = true;
--- 1770,1803 ----
  }
  
  /**
!  * List comments.
   *
!  * Used in the comments.php template to list comments for a particular post.
   *
   * @since 2.7.0
   *
!  * @param string|array $args {
!  *     Optional. Formatting options.
!  *
!  *     @type string 'walker'            The Walker class used to list comments. Default null.
!  *     @type int    'max_depth'         The maximum comments depth. Default empty.
!  *     @type string 'style'             The style of list ordering. Default 'ul'. Accepts 'ul', 'ol'.
!  *     @type string 'callback'          Callback function to use. Default null.
!  *     @type string 'end-callback'      Callback function to use at the end. Default null.
!  *     @type string 'type'              Type of comments to list.
!  *                                      Default 'all'. Accepts 'all', 'comment', 'pingback', 'trackback', 'pings'.
!  *     @type int    'page'              Page ID to list comments for. Default empty.
!  *     @type int    'per_page'          Number of comments to list per page. Default empty.
!  *     @type int    'avatar_size'       Height and width dimensions of the avatar size. Default 32.
!  *     @type string 'reverse_top_level' Ordering of the listed comments. Default null. Accepts 'desc', 'asc'.
!  *     @type bool   'reverse_children'  Whether to reverse child comments in the list. Default null.
!  *     @type string 'format'            How to format the comments list.
!  *                                      Default 'html5' if the theme supports it. Accepts 'html5', 'xhtml'.
!  *     @type bool   'short_ping'        Whether to output short pings. Default false.
!  * }
!  * @param array $comments Optional. Array of comment objects. @see WP_Query->comments
   */
! function wp_list_comments( $args = array(), $comments = null ) {
  	global $wp_query, $comment_alt, $comment_depth, $comment_thread_alt, $overridden_cpage, $in_comment_loop;
  
  	$in_comment_loop = true;
***************
*** 1583,1589 ****
  }
  
  /**
!  * Outputs a complete commenting form for use within a template.
   * Most strings and form fields may be controlled through the $args array passed
   * into the function, while you may also choose to use the comment_form_default_fields
   * filter to modify the array of default fields if you'd just like to add a new
--- 1894,1901 ----
  }
  
  /**
!  * Output a complete commenting form for use within a template.
!  *
   * Most strings and form fields may be controlled through the $args array passed
   * into the function, while you may also choose to use the comment_form_default_fields
   * filter to modify the array of default fields if you'd just like to add a new
***************
*** 1592,1600 ****
   * in the array of fields.
   *
   * @since 3.0.0
!  * @param array $args Options for strings, fields etc in the form
!  * @param mixed $post_id Post ID to generate the form for, uses the current post if null
!  * @return void
   */
  function comment_form( $args = array(), $post_id = null ) {
  	if ( null === $post_id )
--- 1904,1937 ----
   * in the array of fields.
   *
   * @since 3.0.0
!  *
!  * @param array       $args {
!  *     Optional. Default arguments and form fields to override.
!  *
!  *     @type array 'fields' {
!  *         Default comment fields, filterable by default via the 'comment_form_default_fields' hook.
!  *
!  *         @type string 'author' The comment author field HTML.
!  *         @type string 'email'  The comment author email field HTML.
!  *         @type string 'url'    The comment author URL field HTML.
!  *     }
!  *     @type string 'comment_field'        The comment textarea field HTML.
!  *     @type string 'must_log_in'          HTML element for a 'must be logged in to comment' message.
!  *     @type string 'logged_in_as'         HTML element for a 'logged in as <user>' message.
!  *     @type string 'comment_notes_before' HTML element for a message displayed before the comment form.
!  *                                         Default 'Your email address will not be published.'.
!  *     @type string 'comment_notes_after'  HTML element for a message displayed after the comment form.
!  *                                         Default 'You may use these HTML tags and attributes ...'.
!  *     @type string 'id_form'              The comment form element id attribute. Default 'commentform'.
!  *     @type string 'id_submit'            The comment submit element id attribute. Default 'submit'.
!  *     @type string 'title_reply'          The translatable 'reply' button label. Default 'Leave a Reply'.
!  *     @type string 'title_reply_to'       The translatable 'reply-to' button label. Default 'Leave a Reply to %s',
!  *                                         where %s is the author of the comment being replied to.
!  *     @type string 'cancel_reply_link'    The translatable 'cancel reply' button label. Default 'Cancel reply'.
!  *     @type string 'label_submit'         The translatable 'submit' button label. Default 'Post a comment'.
!  *     @type string 'format'               The comment form format. Default 'xhtml'. Accepts 'xhtml', 'html5'.
!  * }
!  * @param int|WP_Post $post_id Optional. Post ID or WP_Post object to generate the form for. Default current post.
   */
  function comment_form( $args = array(), $post_id = null ) {
  	if ( null === $post_id )
***************
*** 1623,1630 ****
  	);
  
  	$required_text = sprintf( ' ' . __('Required fields are marked %s'), '<span class="required">*</span>' );
  	$defaults = array(
! 		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
  		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label> <textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
  		'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
--- 1960,1976 ----
  	);
  
  	$required_text = sprintf( ' ' . __('Required fields are marked %s'), '<span class="required">*</span>' );
+ 
+ 	/**
+ 	 * Filter the default comment form fields.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param array $fields The default comment fields.
+ 	 */
+ 	$fields = apply_filters( 'comment_form_default_fields', $fields );
  	$defaults = array(
! 		'fields'               => $fields,
  		'comment_field'        => '<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'noun' ) . '</label> <textarea id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></p>',
  		'must_log_in'          => '<p class="must-log-in">' . sprintf( __( 'You must be <a href="%s">logged in</a> to post a comment.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
  		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>' ), get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
***************
*** 1639,1683 ****
  		'format'               => 'xhtml',
  	);
  
  	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );
  
  	?>
  		<?php if ( comments_open( $post_id ) ) : ?>
! 			<?php do_action( 'comment_form_before' ); ?>
  			<div id="respond" class="comment-respond">
  				<h3 id="reply-title" class="comment-reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
  				<?php if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) : ?>
  					<?php echo $args['must_log_in']; ?>
! 					<?php do_action( 'comment_form_must_log_in_after' ); ?>
  				<?php else : ?>
  					<form action="<?php echo site_url( '/wp-comments-post.php' ); ?>" method="post" id="<?php echo esc_attr( $args['id_form'] ); ?>" class="comment-form"<?php echo $html5 ? ' novalidate' : ''; ?>>
! 						<?php do_action( 'comment_form_top' ); ?>
  						<?php if ( is_user_logged_in() ) : ?>
! 							<?php echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity ); ?>
! 							<?php do_action( 'comment_form_logged_in_after', $commenter, $user_identity ); ?>
  						<?php else : ?>
  							<?php echo $args['comment_notes_before']; ?>
  							<?php
  							do_action( 'comment_form_before_fields' );
  							foreach ( (array) $args['fields'] as $name => $field ) {
  								echo apply_filters( "comment_form_field_{$name}", $field ) . "\n";
  							}
  							do_action( 'comment_form_after_fields' );
  							?>
  						<?php endif; ?>
! 						<?php echo apply_filters( 'comment_form_field_comment', $args['comment_field'] ); ?>
  						<?php echo $args['comment_notes_after']; ?>
  						<p class="form-submit">
  							<input name="submit" type="submit" id="<?php echo esc_attr( $args['id_submit'] ); ?>" value="<?php echo esc_attr( $args['label_submit'] ); ?>" />
  							<?php comment_id_fields( $post_id ); ?>
  						</p>
! 						<?php do_action( 'comment_form', $post_id ); ?>
  					</form>
  				<?php endif; ?>
  			</div><!-- #respond -->
! 			<?php do_action( 'comment_form_after' ); ?>
! 		<?php else : ?>
! 			<?php do_action( 'comment_form_comments_closed' ); ?>
! 		<?php endif; ?>
! 	<?php
  }
--- 1985,2128 ----
  		'format'               => 'xhtml',
  	);
  
+ 	/**
+ 	 * Filter the comment form default arguments.
+ 	 *
+ 	 * Use 'comment_form_default_fields' to filter the comment fields.
+ 	 *
+ 	 * @since 3.0.0
+ 	 *
+ 	 * @param array $defaults The default comment form arguments.
+ 	 */
  	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );
  
  	?>
  		<?php if ( comments_open( $post_id ) ) : ?>
! 			<?php
! 			/**
! 			 * Fires before the comment form.
! 			 *
! 			 * @since 3.0.0
! 			 */
! 			do_action( 'comment_form_before' );
! 			?>
  			<div id="respond" class="comment-respond">
  				<h3 id="reply-title" class="comment-reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
  				<?php if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) : ?>
  					<?php echo $args['must_log_in']; ?>
! 					<?php
! 					/**
! 					 * Fires after the HTML-formatted 'must log in after' message in the comment form.
! 					 *
! 					 * @since 3.0.0
! 					 */
! 					do_action( 'comment_form_must_log_in_after' );
! 					?>
  				<?php else : ?>
  					<form action="<?php echo site_url( '/wp-comments-post.php' ); ?>" method="post" id="<?php echo esc_attr( $args['id_form'] ); ?>" class="comment-form"<?php echo $html5 ? ' novalidate' : ''; ?>>
! 						<?php
! 						/**
! 						 * Fires at the top of the comment form, inside the <form> tag.
! 						 *
! 						 * @since 3.0.0
! 						 */
! 						do_action( 'comment_form_top' );
! 						?>
  						<?php if ( is_user_logged_in() ) : ?>
! 							<?php
! 							/**
! 							 * Filter the 'logged in' message for the comment form for display.
! 							 *
! 							 * @since 3.0.0
! 							 *
! 							 * @param string $args['logged_in_as'] The logged-in-as HTML-formatted message.
! 							 * @param array  $commenter            An array containing the comment author's username, email, and URL.
! 							 * @param string $user_identity        If the commenter is a registered user, the display name, blank otherwise.
! 							 */
! 							echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity );
! 							?>
! 							<?php
! 							/**
! 							 * Fires after the is_user_logged_in() check in the comment form.
! 							 *
! 							 * @since 3.0.0
! 							 *
! 							 * @param array  $commenter     An array containing the comment author's username, email, and URL.
! 							 * @param string $user_identity If the commenter is a registered user, the display name, blank otherwise.
! 							 */
! 							do_action( 'comment_form_logged_in_after', $commenter, $user_identity );
! 							?>
  						<?php else : ?>
  							<?php echo $args['comment_notes_before']; ?>
  							<?php
+ 							/**
+ 							 * Fires before the comment fields in the comment form.
+ 							 *
+ 							 * @since 3.0.0
+ 							 */
  							do_action( 'comment_form_before_fields' );
  							foreach ( (array) $args['fields'] as $name => $field ) {
+ 								/**
+ 								 * Filter a comment form field for display.
+ 								 *
+ 								 * The dynamic portion of the filter hook, $name, refers to the name
+ 								 * of the comment form field. Such as 'author', 'email', or 'url'.
+ 								 *
+ 								 * @since 3.0.0
+ 								 *
+ 								 * @param string $field The HTML-formatted output of the comment form field.
+ 								 */
  								echo apply_filters( "comment_form_field_{$name}", $field ) . "\n";
  							}
+ 							/**
+ 							 * Fires after the comment fields in the comment form.
+ 							 *
+ 							 * @since 3.0.0
+ 							 */
  							do_action( 'comment_form_after_fields' );
  							?>
  						<?php endif; ?>
! 						<?php
! 						/**
! 						 * Filter the content of the comment textarea field for display.
! 						 *
! 						 * @since 3.0.0
! 						 *
! 						 * @param string $args['comment_field'] The content of the comment textarea field.
! 						 */
! 						echo apply_filters( 'comment_form_field_comment', $args['comment_field'] );
! 						?>
  						<?php echo $args['comment_notes_after']; ?>
  						<p class="form-submit">
  							<input name="submit" type="submit" id="<?php echo esc_attr( $args['id_submit'] ); ?>" value="<?php echo esc_attr( $args['label_submit'] ); ?>" />
  							<?php comment_id_fields( $post_id ); ?>
  						</p>
! 						<?php
! 						/**
! 						 * Fires at the bottom of the comment form, inside the closing </form> tag.
! 						 *
! 						 * @since 1.5.2
! 						 *
! 						 * @param int $post_id The post ID.
! 						 */
! 						do_action( 'comment_form', $post_id );
! 						?>
  					</form>
  				<?php endif; ?>
  			</div><!-- #respond -->
! 			<?php
! 			/**
! 			 * Fires after the comment form.
! 			 *
! 			 * @since 3.0.0
! 			 */
! 			do_action( 'comment_form_after' );
! 		else :
! 			/**
! 			 * Fires after the comment form if comments are closed.
! 			 *
! 			 * @since 3.0.0
! 			 */
! 			do_action( 'comment_form_comments_closed' );
! 		endif;
  }
